function create_data_file(matlab_data_filename, output_data_filename)
% matlab_data_filename - matlab file with a cell variable 'Data' where the i'th cell element is a matrix with the dimensions T(i) x NVisible
% output_data_filename - the destination filename where the dat file should be saved
if ~(exist(matlab_data_filename)==2)
    disp('filename of path is worng');
else
    data=load(matlab_data_filename);
    if ~iscell(data,'Data')
        disp('The file does not include a Data variable');
    else
        if ~iscell(data.Data)
            disp('Data is not a cell variable');
        else
            flag=1;
            NVisible=size(data.Data,2);
            for i=2:length(data.Data)
                if (size(data.Data,2)~=NVisible)
                    flag=0;
                end
            if (flag==0)
                disp('The number of Visible units is not identical for all the sequences');
            else
                MatFile2DatFile(matlab_data_filename, output_data_filename);
            end
        end
    end
end