function T=create_obs_transform_matrix(NBlocksSide,BlockSideLen)
    len=(NBlocksSide*BlockSideLen)^2;
    indices=reshape(1:len,[1,1]*NBlocksSide*BlockSideLen);
    T=zeros(len,len);
    k=1;
    for i=1:NBlocksSide
        for j=1:NBlocksSide
            for n=(i-1)*BlockSideLen+1:i*BlockSideLen
                for m=(j-1)*BlockSideLen+1:j*BlockSideLen
                    T(k,indices(m,n))=1.0;
                    k=k+1;
                end
            end
        end
    end
end