import scipy.io
from igraph import *
from numpy import *
matrix=scipy.io.loadmat('results/MOCAP/MOCAP_MASK.mat')['Mask']
threshold=0.5
matrix[matrix<threshold]=0
for i in xrange(matrix.shape[0]):
    matrix[i,i]=0
matrix=matrix[7:,7:]
matrix=matrix-tril(matrix)
sources, targets = matrix.nonzero()
weights = matrix[sources, targets]
g=Graph(zip(sources, targets), directed=False, edge_attrs={'weight': weights})
#g.vs["name"] = ['root', 'lowerback', 'upperback', 'thorax', 'lowerneck', 'upperneck', 'head', 'rhumerus', 'rradius', 'rwrist', 'rhand', 'rfingers', 'rthumb', 'lhumerus', 'lradius', 'lwrist', 'lhand', 'lfingers', 'lthumb', 'rfemur', 'rtibia', 'rfoot', 'rtoes', 'lfemur', 'ltibia', 'lfoot', 'ltoes']
g.vs["name"] = ['rhumerus', 'rradius', 'rwrist', 'rhand', 'rfingers', 'rthumb', 'lhumerus', 'lradius', 'lwrist', 'lhand', 'lfingers', 'lthumb', 'rfemur', 'rtibia', 'rfoot', 'rtoes', 'lfemur', 'ltibia', 'lfoot', 'ltoes']
g.vs["label"] = g.vs["name"]
layout = g.layout("circular")
plot(g, layout = layout,bbox = (550, 550), margin = 60, vertex_label_size=22)
